Uploaded image for project: 'Groovy'
  1. Groovy
  2. GROOVY-9531

Improve CliBuilder docs for Groovy 3.0

    XMLWordPrintableJSON

    Details

    • Type: Documentation
    • Status: Closed
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 3.0.0, 3.0.1, 3.0.2, 3.0.3
    • Fix Version/s: 3.0.4, 2.5.12
    • Labels:
      None

      Description

      The CliBuilder section of the Domain-Specific Languages page has some language that is outdated since the Groovy 3.0 release.

      Current:

      The groovy.util version points to the commons-cli version for backwards compatibility but will be removed in a future version of Groovy.

       I propose to change this to:

      The groovy.util version in Groovy 2.5 points to the commons-cli version for backwards compatibility but has been removed in Groovy 3.0.

       

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                rpopma Remko Popma
                Reporter:
                rpopma Remko Popma
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: